# Preview
![Preview](https://cdn.discordapp.com/attachments/749076478146117733/1034971338185650266/unknown.png)
![Preview](https://media.discordapp.net/attachments/749076478146117733/1137003042965823588/image.png?width=1120&height=630)

# Skills

| Icon | Name | Description |
| ------------- | ----------- | ------------------------------------ |
| ![][portrait1] | Piccolo | Skills |
| ![][passive] | Passive: Namekian Physiology | Increased health regeneration. |
| ![][primary] | Primary: Demon's Onslaught | Heavy hitting strikes for 230% damage. Successful hits grant +10 Ki. |
| ![][secondary] | Secondary [Switch]: Namek Finger | Stretch your arm forward to grab an enemy dealing 250% damage, pulling them to you and weakens. |
| ![][secondaryAlt] | Secondary [Switch]: Energy Wave Combo | Fire 6 Ki Blasts on a targetted enemy for 200% damage each. |
| ![][utility] | Utility: Maximum Charge | Regenerate 25 Ki per second. |
| ![][special] | Special [Switch]: Special Beam Cannon | Charge a powerful energy beam that deals 80% damage per hit for up to 3s. Charge time increases damage up to 240%. |
| ![][specialAlt] | Special Alt [Switch]: Hellzone Grenade | Fire 8 Ki Blasts on a targetted enemy for 650% damage each, after a short charge time, unleash them all upon your enemy. |

| Icon | Name | Description |
| ------------- | ----------- | ------------------------------------ |
| ![][portrait2] | Piccolo (Power Awakening) | New Skills |
| ![][stat] | Stat Boost | +50% All stats |
| ![][secondaryPW] | Secondary [Switch]: Evil Explosion | Charge forward a powerful ki explosion for 430% damage. |
| ![][secondaryAlt] | Secondary [Switch]: Energy Wave Combo | Fire 6 Ki Blasts on a targetted enemy for 200% damage each. |
| ![][specialPW] | Special: Light Grenade | Charge a powerful ki orb for 1400% damage. |

| Icon | Name | Description |
| ------------- | ----------- | ------------------------------------ |
| ![][portrait3] | Piccolo (Orange) | New Skills |
| ![][stat] | Stat Boost | +100% All stats |
| ![][secondarySwole] | Secondary [Switch]: Fierce Fist | Charge your fist to deal a powerful punch for 350-1600% damage. |
| ![][secondaryAltSwole] | Secondary Alt [Switch]: Super Explosive Wave | Quickly fire a energy beam that deals 180% damage per hit for a short duration. |
| ![][specialSwole] | Special [Switch]: Apocalyptic Burst | Peform two forward kicks for 360% damage each, followed by a twist kick dealing 480% damage then finish with a quick-charged ki orb attack for 1200% damage. |
| ![][specialAltSwole] | Special Alt [Switch]: Full Power Energy Wave | Charge forward a powerful energy beam for 120% damage. |

[stat]: https://cdn.discordapp.com/attachments/749076478146117733/1055248227055697980/Status_Weak.png
[portrait1]: https://media.discordapp.net/attachments/749076478146117733/1137000396804591716/portrait.png
[portrait2]: https://media.discordapp.net/attachments/749076478146117733/1137000395462422588/portrait2.png
[portrait3]: https://media.discordapp.net/attachments/749076478146117733/1137000395793780809/portrait3.png

[passive]: https://cdn.discordapp.com/attachments/749076478146117733/1034968750669185154/passive.png
[primary]: https://cdn.discordapp.com/attachments/749076478146117733/1034968749612220457/m1.png
[secondary]: https://cdn.discordapp.com/attachments/749076478146117733/1034968749951946792/m2-1.png
[secondaryAlt]: https://cdn.discordapp.com/attachments/749076478146117733/1034968750312673280/m2-2.png
[utility]: https://cdn.discordapp.com/attachments/749076478146117733/1034968751952642198/utility.png
[special]: https://cdn.discordapp.com/attachments/749076478146117733/1034968751117963274/special.png
[specialAlt]: https://cdn.discordapp.com/attachments/749076478146117733/1034968751629684746/specialalt.png

[secondaryPW]: https://media.discordapp.net/attachments/749076478146117733/1137000615126499449/evilexplosion.png
[specialPW]: https://media.discordapp.net/attachments/749076478146117733/1137000617353674855/lightgrenade.png

[secondarySwole]: https://media.discordapp.net/attachments/749076478146117733/1137000396485841006/fierceFist.png
[secondaryAltSwole]: https://media.discordapp.net/attachments/749076478146117733/1137000620973363273/superexplosivewave.png
[specialSwole]: https://media.discordapp.net/attachments/749076478146117733/1137000396141899776/apocalypticBurst.png
[specialAltSwole]: https://media.discordapp.net/attachments/749076478146117733/1137000616477077514/kamehamehaIconOrange.png

- How flight works:
  - Hold jump to activate flight. You can hover (run) for no ki cost, but you can only Sprint at the cost of Ki. Sprinting gives you bonus speed on top of default sprinting bonus.
  - Press jump again to disable flight.

# Commission

Wanna commission your own Dragon Ball survivor? DM me:
- Discord Contact: Dragonyck#4653

# Team
This team is my commissions account.

If you wanna check my personal projects, they're on my main account:

[![plug](https://cdn.discordapp.com/attachments/749076478146117733/1014954008059842720/unknown.png)](https://thunderstore.io/package/Dragonyck/)

Discord Contact: Dragonyck#4653

Other projects I developed:

| Koko's Item Box | Super Void Barnacle | Spearman | Katarina V2 Skills |
| ------------- | ------------- | ------------- | ------------- |
| [![][koko]](https://thunderstore.io/package/SeizaKokoro/KokosItemBox/) | [![][svb]](https://thunderstore.io/package/Contraplayingmodded/SuperVoidBarnacle/) | [![][spear]](https://thunderstore.io/package/SaucySquash/Spearman/) | [![][kata]](https://thunderstore.io/package/Nines/Katarina/) |

[koko]: https://gcdn.thunderstore.io/live/repository/icons/SeizaKokoro-KokosItemBox-1.0.6.png.128x128_q95.png
[svb]: https://gcdn.thunderstore.io/live/repository/icons/Contraplayingmodded-SuperVoidBarnacle-1.0.9.png.128x128_q95.png
[spear]: https://gcdn.thunderstore.io/live/repository/icons/SaucySquash-Spearman-1.0.6.png.128x128_q95.png
[kata]: https://gcdn.thunderstore.io/live/repository/icons/Nines-Katarina-2.2.0.png.128x128_q95.jpg

# Installation
R2modman is recommended. 

Manual:

1 - Download and install BepInExPack and R2API 

2 - Extract the "Piccolo" dll to your plugins folder

3 - Have fun!

# Credits
Rorschach - Bug testing, overall balance, and for commissioning this awesome mod. 

Dragonyck - Mod author.

Rob - Character templates.

KEB - IDRS Helper.

Violet - Big brain.

Everyone involved with the cores and api's that made modding possible.

All the peeps with bug reports and stuff.

# Changelog
`2.0.1`
- Fixed Apocalyptic Burst animation attack speed scaling.
- Fixed readme image attachments (thanks discord)

`2.0.0`
- Added two transformations.
- Slightly reworked Energy Wave Combo
 - No longer works as a targetted ability
 - VFX changed to look more like XV2 Piccolo Ki blasts
 - You can move and aim during the ability's cast
- Piccolo's Specials are now switch abilities
- Piccolo now gains 50% damage reduction while casting Hellzone Grenade

`1.0.10`
- Updated to latest DBZUtils version.
- Beams now can be aimed while they're still charging.

`1.0.9`
- Updated to latest DBZUtils version.
- Added ragdoll.

`1.0.8`
- Fixed Melee attacks only playing one animation.

`1.0.7`
- Updated to use split R2API assemblies.
- Added new spawn pod.

`1.0.6`
- Fixed Energy Wave being cast multiple times when you have more than one additional stock.

`1.0.5`
- Updated to latest DBZAPI changes.

`1.0.4`
- Fixed networking issues with Special Beam Cannon.

`1.0.3`
- Left some network debugging stuff on so it broke mp, whoops.

`1.0.2`
- Updated to latest DBZAPI changes.

`1.0.1`
- Updated readme.

`1.0.0` 
- Release
